import request from '../../utils/request'

export function getVisitAndResponce() {
  return request({
    url: '/dictionary/visitAndResponce',
    method: 'get',
  })
}

export function searchData(data) {
  return request({
    url: '/dictionary/executeSearch',
    method: 'post',
    data,
  })
}

export function increaseWeight(data) {
  return request({
    url: '/dictionary/increaseWeight',
    method: 'post',
    data,
  })
}

export function getAllSpecialDiags(medType) {
  return request({
    url: '/dictionary/getAllSpecialDiags',
    method: 'get',
    params: { medType },
  })
}

export function searchYbDiag(data) {
  return request({
    url: '/dictionary/searchYbDiag',
    method: 'post',
    data,
  })
}

export function searchFromServer(data) {
  return request({
    url: '/search/execute',
    method: 'post',
    data,
  })
}
